MEMORY(3) | Library Functions Manual | MEMORY(3)

# NAME

malloc, free, realloc, calloc, alloca — general memory allocation operations

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <stdlib.h>

void *
malloc(size_t size);

void
free(void *ptr);

void *
realloc(void *ptr, size_t size);

void *
calloc(size_t nelem, size_t elsize);

void *
alloca(size_t size);

# DESCRIPTION

These functions allocate and free memory for the calling process. They are described in the individual manual pages. The memory allocators used in the kernel are described in memoryallocators(9).

# SEE ALSO

alloca(3), calloc(3), free(3), malloc(3), realloc(3)

# STANDARDS

These functions, with the exception of alloca() conform to ANSI X3.159-1989 (“ANSI C89”).

September 11, 2011 | NetBSD 7.2